<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionTooltipServerSettingEntry Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d5/d7a/a04065.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionTooltipServerSettingEntry Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ExpansionTooltipServerSettingEntry:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d5/d7a/a04065.png" usemap="#ExpansionTooltipServerSettingEntry_map" alt=""/>
  <map id="ExpansionTooltipServerSettingEntry_map" name="ExpansionTooltipServerSettingEntry_map">
<area href="../../d3/d45/a05057.html" alt="ExpansionScriptView" shape="rect" coords="0,0,214,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a5c2715179c7c024451113be7519a0a6b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d7a/a04065.html#a5c2715179c7c024451113be7519a0a6b">ExpansionTooltipServerSettingEntry</a> (<a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> title, <a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> text)</td></tr>
<tr class="separator:a5c2715179c7c024451113be7519a0a6b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5bb96984283bd9910089abec3138aebf"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d7a/a04065.html#a5bb96984283bd9910089abec3138aebf">GetLayoutFile</a> ()</td></tr>
<tr class="separator:a5bb96984283bd9910089abec3138aebf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4e3717f4c98ad3a3bc2f46a21db38e8"><td class="memItemLeft" align="right" valign="top">override&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d7a/a04065.html#ae4e3717f4c98ad3a3bc2f46a21db38e8">GetControllerType</a> ()</td></tr>
<tr class="separator:ae4e3717f4c98ad3a3bc2f46a21db38e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa67ae3d0d1ca48cf874ae76f52cdbde"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d7a/a04065.html#aaa67ae3d0d1ca48cf874ae76f52cdbde">SetView</a> ()</td></tr>
<tr class="separator:aaa67ae3d0d1ca48cf874ae76f52cdbde"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a2af0e15fd8beda1a8e0ba73ae8b599a6"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d7a/a04065.html#a2af0e15fd8beda1a8e0ba73ae8b599a6">m_Title</a></td></tr>
<tr class="separator:a2af0e15fd8beda1a8e0ba73ae8b599a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1133d262568c9833d68dd4cccf2e4c2f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d7a/a04065.html#a1133d262568c9833d68dd4cccf2e4c2f">m_Text</a></td></tr>
<tr class="separator:a1133d262568c9833d68dd4cccf2e4c2f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a16f3b1ab94c003ea5eac4c0f960a8b04"><td class="memItemLeft" align="right" valign="top">RichTextWidget&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d7a/a04065.html#a16f3b1ab94c003ea5eac4c0f960a8b04">TooltipText</a></td></tr>
<tr class="separator:a16f3b1ab94c003ea5eac4c0f960a8b04"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >ExpansionTooltipServerSettingEntry.c</p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../d4/d10/a00635_source.html#l00013">13</a> of file <a class="el" href="../../d4/d10/a00635_source.html">expansionbookmenutabserverinfosettingentry.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a5c2715179c7c024451113be7519a0a6b" name="a5c2715179c7c024451113be7519a0a6b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5c2715179c7c024451113be7519a0a6b">&#9670;&#160;</a></span>ExpansionTooltipServerSettingEntry()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionTooltipServerSettingEntry::ExpansionTooltipServerSettingEntry </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>title</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>text</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d10/a00635_source.html#l00020">20</a> of file <a class="el" href="../../d4/d10/a00635_source.html">expansionbookmenutabserverinfosettingentry.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ae4e3717f4c98ad3a3bc2f46a21db38e8" name="ae4e3717f4c98ad3a3bc2f46a21db38e8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae4e3717f4c98ad3a3bc2f46a21db38e8">&#9670;&#160;</a></span>GetControllerType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override ExpansionTooltipServerSettingEntry::GetControllerType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d10/a00635_source.html#l00037">37</a> of file <a class="el" href="../../d4/d10/a00635_source.html">expansionbookmenutabserverinfosettingentry.c</a>.</p>

</div>
</div>
<a id="a5bb96984283bd9910089abec3138aebf" name="a5bb96984283bd9910089abec3138aebf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5bb96984283bd9910089abec3138aebf">&#9670;&#160;</a></span>GetLayoutFile()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> ExpansionTooltipServerSettingEntry::GetLayoutFile </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d10/a00635_source.html#l00032">32</a> of file <a class="el" href="../../d4/d10/a00635_source.html">expansionbookmenutabserverinfosettingentry.c</a>.</p>

</div>
</div>
<a id="aaa67ae3d0d1ca48cf874ae76f52cdbde" name="aaa67ae3d0d1ca48cf874ae76f52cdbde"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaa67ae3d0d1ca48cf874ae76f52cdbde">&#9670;&#160;</a></span>SetView()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionTooltipServerSettingEntry::SetView </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d10/a00635_source.html#l00042">42</a> of file <a class="el" href="../../d4/d10/a00635_source.html">expansionbookmenutabserverinfosettingentry.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a1133d262568c9833d68dd4cccf2e4c2f" name="a1133d262568c9833d68dd4cccf2e4c2f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1133d262568c9833d68dd4cccf2e4c2f">&#9670;&#160;</a></span>m_Text</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> ExpansionTooltipServerSettingEntry::m_Text</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d10/a00635_source.html#l00016">16</a> of file <a class="el" href="../../d4/d10/a00635_source.html">expansionbookmenutabserverinfosettingentry.c</a>.</p>

</div>
</div>
<a id="a2af0e15fd8beda1a8e0ba73ae8b599a6" name="a2af0e15fd8beda1a8e0ba73ae8b599a6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2af0e15fd8beda1a8e0ba73ae8b599a6">&#9670;&#160;</a></span>m_Title</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> ExpansionTooltipServerSettingEntry::m_Title</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d10/a00635_source.html#l00015">15</a> of file <a class="el" href="../../d4/d10/a00635_source.html">expansionbookmenutabserverinfosettingentry.c</a>.</p>

</div>
</div>
<a id="a16f3b1ab94c003ea5eac4c0f960a8b04" name="a16f3b1ab94c003ea5eac4c0f960a8b04"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a16f3b1ab94c003ea5eac4c0f960a8b04">&#9670;&#160;</a></span>TooltipText</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">RichTextWidget ExpansionTooltipServerSettingEntry::TooltipText</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d10/a00635_source.html#l00018">18</a> of file <a class="el" href="../../d4/d10/a00635_source.html">expansionbookmenutabserverinfosettingentry.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Book/Scripts/5_mission/dayzexpansion_book/book/booktabs/serverinfo/<a class="el" href="../../d4/d10/a00635_source.html">expansionbookmenutabserverinfosettingentry.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d5/d7a/a04065.html">ExpansionTooltipServerSettingEntry</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
